Bug 491086 - Crash at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42 when closed Firefox
Crash at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42 when closed Firefox
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 08:42 EDT by Michal Nowak
Modified: 2013-03-07 21:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 05:35:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-03-19 08:42:34 EDT
Description of problem:

[New Thread 9202]
[New Thread 17084]
[New Thread 9203]
[New Thread 17023]
[New Thread 9209]
[New Thread 9208]
[New Thread 9210]
[New Thread 9284]
Core was generated by `/usr/lib64/firefox-3.1b2/firefox'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000003d61c0edeb in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
42				 sig);


Version-Release number of selected component (if applicable):

firefox-3.1-0.7.beta2.fc11.x86_64
xulrunner-1.9.1-0.9.beta2.fc11.x86_64

Linux dhcp-lab-124.englab.brq.redhat.com 2.6.29-0.237.rc7.git4.fc11.x86_64 #1 SMP Wed Mar 11 18:55:04 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

no idea, first time I've seen it

Steps to Reproduce:
1. quit firefox

Actual results:

Core dumped, but Firefox, when opened after the crash, looked pretty good - tabs were in place as expected.
Comment 1 Michal Nowak 2009-03-19 08:43:47 EDT
Note: there are three bugs in RHBZ mentioning "../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42" this might be a dupe.
Comment 2 Michal Nowak 2009-03-25 06:34:47 EDT
And now again on Firefox quit.
Comment 3 Matěj Cepl 2009-03-26 18:36:16 EDT
Other two are bug 449965 and bug 449965
Comment 4 Matěj Cepl 2009-03-26 18:38:48 EDT
sorry the possible duplicate bugs are bug 474884 and bug 449965
Comment 5 Martin Stransky 2009-04-01 03:28:31 EDT
Please attach full backtrace from the crash.

"../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42" comes from firefox general segfault handler.
Comment 6 Martin Stransky 2009-05-06 05:35:17 EDT
Please reopen when you have the backtrace.

Note You need to log in before you can comment on or make changes to this bug.